%{?nodejs_find_provides_and_requires}

%global enable_tests 0
%global commit 006a8cbac6b99988315834c207896eed71fd069a
%global module_name wrappy

Name:       nodejs-wrappy
Version:    1.0.1
Release:    %mkrel 4
Summary:    Callback wrapping utility
License:    ISC
URL:        https://github.com/npm/wrappy
Source0:    https://github.com/npm/wrappy/archive/%{commit}/wrappy-%{commit}.tar.gz
Group:      Development/Other
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
Callback wrapping utility for node.js

%prep
%setup -q -n %{module_name}-%{commit}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr wrappy.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{module_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.1-4.mga9
+ Revision: 1816983
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1492654
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1265365
- Mageia 7 Mass Rebuild

* Fri May 13 2016 joequant <joequant> 1.0.1-1.mga6
+ Revision: 1014790
- imported package nodejs-wrappy

